Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.gouv.culture.sdx.pipeline
Class SAXONXSLTTransformation

    java.lang.Object
      org.apache.avalon.framework.logger.AbstractLogEnabled
          org.apache.cocoon.xml.AbstractXMLProducer
              org.apache.cocoon.xml.AbstractXMLPipe
                  fr.gouv.culture.sdx.utils.xml.AbstractSdxXMLPipe
                      fr.gouv.culture.sdx.pipeline.AbstractTransformation
                          fr.gouv.culture.sdx.pipeline.SAXONXSLTTransformation

All Implemented Interfaces:
  org.apache.avalon.framework.configuration.Configurable, org.xml.sax.ContentHandler, org.apache.avalon.framework.context.Contextualizable, Describable, Encodable, Identifiable, org.xml.sax.ext.LexicalHandler, Localizable, org.apache.avalon.framework.logger.LogEnabled, org.apache.avalon.excalibur.pool.Poolable, org.apache.avalon.excalibur.pool.Recyclable, SdxObject, org.apache.avalon.framework.service.Serviceable, Transformation, org.apache.cocoon.xml.XMLConsumer, org.apache.excalibur.xml.sax.XMLConsumer, org.apache.excalibur.xml.sax.XMLizable, org.apache.cocoon.xml.XMLPipe, org.apache.cocoon.xml.XMLProducer

public class SAXONXSLTTransformation
extends AbstractTransformation

A transformation using an XSLTProcessorImpl from Cocoon Basically a wrapper to provide a certain configuration option (stylesheet specification) and forwards events to a consumer after the transformation has been executed. This class uses the Saxon processor through the role "org.apache.excalibur.xml.xslt.XSLTProcessor/saxon". The component MUST be declared in the cocoon.xconf file.

Nested Class Summary

Nested classes inherited from class fr.gouv.culture.sdx.utils.SdxObject
`SdxObject.ConfigurationNode`

Field Summary

Fields inherited from class fr.gouv.culture.sdx.pipeline.AbstractTransformation
`PARAMETER_NAME_DISABLE, PARAMETER_NAME_ENABLE, parameters, transParameters`

Fields inherited from class fr.gouv.culture.sdx.utils.xml.AbstractSdxXMLPipe
`_configuration, _context, _description, _encoding, _id, _locale, _logger, _manager, _xmlizable_objects, _xmlLang, isToSaxInitialized`

Fields inherited from class org.apache.cocoon.xml.AbstractXMLProducer
`contentHandler, lexicalHandler, xmlConsumer`

Fields inherited from interface fr.gouv.culture.sdx.pipeline.Transformation
`ATTRIBUTE_KEEP, ATTRIBUTE_SRC, ATTRIBUTE_TH, CLASS_NAME_SUFFIX, PACKAGE_QUALNAME`

Fields inherited from interface fr.gouv.culture.sdx.utils.Encodable
`DEFAULT_ENCODING`

Constructor Summary
`SAXONXSLTTransformation()` Creates the transformation If logging is desired the super.getLog() should be set after creation.

Method Summary
`void` | `configure(org.apache.avalon.framework.configuration.Configuration configuration)` Builds this object In addition to the parameters needed in the base configuration handled by the parent class, the "src" parameter is required and can be absolute or relative to the directory containing the application.xconf file or relative to the SDX installation.
`protected boolean` | `initToSax()` Init the DefaultContext class _xmlizable_objects with the objects in order to describ them in XML
`void` | `setConsumer(org.apache.cocoon.xml.XMLConsumer consumer)` Sets the XMLConsumer for this transformation.
`void` | `startDocument()`

Methods inherited from class fr.gouv.culture.sdx.pipeline.AbstractTransformation
`getClassNameSuffix, getParameters, initVolatileObjectsToSax, isStepEnabled, recycle, setParameters, shouldKeepResult, verifyConfigurationParameters`

Methods inherited from class fr.gouv.culture.sdx.utils.xml.AbstractSdxXMLPipe
`configureDescription, contextualize, enableLogging, getBaseAttributes, getConfiguration, getContext, getDescription, getEncoding, getId, getLocale, getLog, getServiceManager, getXmlLang, service, setDescription, setEncoding, setId, setLocale, setUpSdxObject, setUpSdxObject, setXmlLang, toSAX, verifyConfigurationResources`

Methods inherited from class org.apache.cocoon.xml.AbstractXMLPipe
`characters, comment, endCDATA, endDocument, endDTD, endElement, endEntity, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startCDATA, startDTD, startElement, startEntity, startPrefixMapping`

Methods inherited from class org.apache.cocoon.xml.AbstractXMLProducer
`setContentHandler, setLexicalHandler`

Methods inherited from class org.apache.avalon.framework.logger.AbstractLogEnabled
`getLogger, setupLogger, setupLogger, setupLogger`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.xml.sax.ContentHandler
`characters, endDocument, endElement, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startElement, startPrefixMapping`

Methods inherited from interface org.xml.sax.ext.LexicalHandler
`comment, endCDATA, endDTD, endEntity, startCDATA, startDTD, startEntity`

Methods inherited from interface fr.gouv.culture.sdx.utils.SdxObject
`getLog`

Methods inherited from interface org.apache.avalon.framework.logger.LogEnabled
`enableLogging`

Methods inherited from interface org.apache.avalon.framework.context.Contextualizable
`contextualize`

Methods inherited from interface org.apache.avalon.framework.service.Serviceable
`service`

Methods inherited from interface fr.gouv.culture.sdx.utils.Identifiable
`getId, setId`

Methods inherited from interface fr.gouv.culture.sdx.utils.Describable
`getDescription, setDescription`

Methods inherited from interface fr.gouv.culture.sdx.utils.Encodable
`getEncoding, setEncoding`

Methods inherited from interface fr.gouv.culture.sdx.utils.Localizable
`getLocale, getXmlLang, setLocale, setXmlLang`

Methods inherited from interface org.apache.excalibur.xml.sax.XMLizable
`toSAX`

Constructor Detail

### SAXONXSLTTransformation

    public SAXONXSLTTransformation()

  Creates the transformation If logging is desired the super.getLog() should be set after creation. This transformation should be composed, properties set, and then configured.

See Also:
  `AbstractSdxXMLPipe.enableLogging(org.apache.avalon.framework.logger.Logger)`, `AbstractSdxXMLPipe.service(org.apache.avalon.framework.service.ServiceManager)`, `AbstractSdxXMLPipe.contextualize(org.apache.avalon.framework.context.Context)`, `configure(org.apache.avalon.framework.configuration.Configuration)`

Method Detail

### configure

    public void configure(org.apache.avalon.framework.configuration.Configuration configuration)
                   throws org.apache.avalon.framework.configuration.ConfigurationException

  Builds this object In addition to the parameters needed in the base configuration handled by the parent class, the "src" parameter is required and can be absolute or relative to the directory containing the application.xconf file or relative to the SDX installation.

  Specified by:
    `configure` in interface `org.apache.avalon.framework.configuration.Configurable`
  Overrides:
    `configure` in class `AbstractTransformation`
  Parameters:
    `configuration` - An Configuration object from the Pipeline

    Sample configuration entry:

    <sdx:transformation src = "path to stylesheet, can be absolute or relative to the directory containing this file" sdx:id = "step3" sdx:type = "xslt" keep = "true"/>

  Throws:
    `org.apache.avalon.framework.configuration.ConfigurationException`

### setConsumer

    public void setConsumer(org.apache.cocoon.xml.XMLConsumer consumer)

  Sets the XMLConsumer for this transformation.

  Parameters:
    `consumer` - The consumer for the SAX events of this transformation

### startDocument

    public void startDocument()
                       throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### initToSax

    protected boolean initToSax()

  Description copied from class: `AbstractSdxXMLPipe`
  Init the DefaultContext class _xmlizable_objects with the objects in order to describ them in XML

  Overrides:
    `initToSax` in class `AbstractTransformation`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Ministere de la culture et de la communication / AJLSM. All Rights Reserved.